Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514904 - SELinux policy is blocking container runtimes from reading /etc/resolv.conf and /etc/hosts
Summary: SELinux policy is blocking container runtimes from reading /etc/resolv.conf a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: container-selinux
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 11:29 UTC by Daniel Walsh
Modified: 2017-11-30 19:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 19:23:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3366 normal SHIPPED_LIVE container-selinux bug fix and enhancement update 2017-12-01 00:23:06 UTC

Description Daniel Walsh 2017-11-19 11:29:11 UTC
Some container runtimes mount /etc/resolv.conf and /etc/hosts directly into containers, users could also use -V /etc/resolv.conf:/etc/resolv.conf to bind mount them into containers.  Currently SELinux blocks the reading of these files.  These files are not considered high security targeted and every confined domain is selinux policy is allowed to read these files.  No reason not to allow containers to read them also.

Comment 2 Daniel Walsh 2017-11-19 11:34:45 UTC
Fixed in container-selinux-2.33-1.git86f33cd.el7

Comment 7 errata-xmlrpc 2017-11-30 19:23:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3366


Note You need to log in before you can comment on or make changes to this bug.